Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IdePlugin Class Reference

`#include <dePlugins.hpp>`

Inheritance diagram for IdePlugin:

[legend]
List of all members.

## Public Types
enum | interface_t { iface_IdePlugin = 0, iface_IdePluginTwofish, iface_IdePluginRijndael, iface_IdePluginZLib, iface_IdePluginSHA1, iface_force_32bit = 0x7FFFFFFF }
## Public Member Functions
virtual void * | GetInterface (IdePlugin::interface_t i)=0
virtual int | Release ()=0
virtual deBoolean | EncodeData (void *Buffer, DWORD Length, void *NewBuffer, DWORD *NewLength)=0
virtual deBoolean | DecodeData (void *Buffer, DWORD Length, void *NewBuffer, DWORD *NewLength)=0
virtual DWORD | MaxEncodeLength (DWORD Length)=0
virtual DWORD | MaxDecodeLength (void *Buffer)=0
## Protected Member Functions
virtual | ~IdePlugin ()

## Member Enumeration Documentation

enum IdePlugin::interface_t

  | Enumeration values:
  iface_IdePlugin |
  iface_IdePluginTwofish |
  iface_IdePluginRijndael |
  iface_IdePluginZLib |
  iface_IdePluginSHA1 |
  iface_force_32bit |

## Constructor & Destructor Documentation

virtual IdePlugin::~IdePlugin | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual deBoolean IdePlugin::DecodeData | ( | void * | Buffer,
|  | DWORD | Length,
|  | void * | NewBuffer,
|  | DWORD * | NewLength
| ) | `[pure virtual]`

| Implemented in dePluginTwofish, dePluginRijndael, dePluginZLib, and dePluginSHA1.

virtual deBoolean IdePlugin::EncodeData | ( | void * | Buffer,
|  | DWORD | Length,
|  | void * | NewBuffer,
|  | DWORD * | NewLength
| ) | `[pure virtual]`

| Implemented in dePluginTwofish, dePluginRijndael, dePluginZLib, and dePluginSHA1.

virtual void* IdePlugin::GetInterface | ( | IdePlugin::interface_t | i | ) | `[pure virtual]`

| Implemented in dePluginTwofish, dePluginRijndael, dePluginZLib, and dePluginSHA1.

virtual DWORD IdePlugin::MaxDecodeLength | ( | void * | Buffer | ) | `[pure virtual]`

| Implemented in dePluginTwofish, dePluginRijndael, dePluginZLib, and dePluginSHA1.

virtual DWORD IdePlugin::MaxEncodeLength | ( | DWORD | Length | ) | `[pure virtual]`

| Implemented in dePluginTwofish, dePluginRijndael, dePluginZLib, and dePluginSHA1.

virtual int IdePlugin::Release | ( |  | ) | `[pure virtual]`

| Implemented in dePluginTwofish, dePluginRijndael, dePluginZLib, and dePluginSHA1.

The documentation for this class was generated from the following file:

- dePlugins.hpp